Subject: Ticket Assigned - Returns
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Tue, 29 Jun 2021 05:42:16 +0000

Hi Mohammad Tawfik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns Hi. It's regarding returned items for order # 9629696679. It's been almost 3 months now and I still didn't receive my refund. I have contacted through chats and have written emails and every time I was told to wait and the issue will be resolved. But still nothing. There's no freaking complaint number assigned so I can chase easily. Every time it's considered new request and no solution. I need ny money back https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2608966